-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.6.21 - MySQL Community Server (GPL)
-- Server OS:                    Win32
-- HeidiSQL Version:             9.5.0.5196
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Dumping database structure for enrolmentdb
CREATE DATABASE IF NOT EXISTS `enrolmentdb` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `enrolmentdb`;

-- Dumping structure for table enrolmentdb.courses
CREATE TABLE IF NOT EXISTS `courses` (
  `courseID` int(5) unsigned zerofill NOT NULL AUTO_INCREMENT,
  `course` varchar(50) NOT NULL DEFAULT '0',
  PRIMARY KEY (`courseID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

-- Dumping data for table enrolmentdb.courses: ~5 rows (approximately)
/*!40000 ALTER TABLE `courses` DISABLE KEYS */;
INSERT INTO `courses` (`courseID`, `course`) VALUES
	(00001, 'BSIT'),
	(00002, 'BSED'),
	(00003, 'BEED'),
	(00004, 'BSBA'),
	(00005, 'BSCriminology'),
	(00006, 'BSNUrsing');
/*!40000 ALTER TABLE `courses` ENABLE KEYS */;

-- Dumping structure for table enrolmentdb.enrolment
CREATE TABLE IF NOT EXISTS `enrolment` (
  `enrolID` int(11) NOT NULL AUTO_INCREMENT,
  `stdID` int(11) NOT NULL,
  `subjID` int(11) NOT NULL,
  PRIMARY KEY (`enrolID`),
  KEY `FK_enrolment_subject` (`subjID`),
  KEY `FK_enrolment_student` (`stdID`),
  CONSTRAINT `FK_enrolment_student` FOREIGN KEY (`stdID`) REFERENCES `student` (`stdID`),
  CONSTRAINT `FK_enrolment_subject` FOREIGN KEY (`subjID`) REFERENCES `subject` (`subjID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

-- Dumping data for table enrolmentdb.enrolment: ~3 rows (approximately)
/*!40000 ALTER TABLE `enrolment` DISABLE KEYS */;
INSERT INTO `enrolment` (`enrolID`, `stdID`, `subjID`) VALUES
	(1, 1, 3),
	(2, 1, 2),
	(6, 1, 2);
/*!40000 ALTER TABLE `enrolment` ENABLE KEYS */;

-- Dumping structure for table enrolmentdb.student
CREATE TABLE IF NOT EXISTS `student` (
  `stdID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `addr` varchar(50) NOT NULL,
  `gender` varchar(50) NOT NULL,
  `courseID` int(5) unsigned zerofill NOT NULL,
  PRIMARY KEY (`stdID`),
  KEY `FK_student_courses` (`courseID`),
  CONSTRAINT `FK_student_courses` FOREIGN KEY (`courseID`) REFERENCES `courses` (`courseID`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

-- Dumping data for table enrolmentdb.student: ~6 rows (approximately)
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` (`stdID`, `name`, `addr`, `gender`, `courseID`) VALUES
	(1, 'Jomarie', 'Bacolod', 'Male', 00006),
	(4, 'Pedro', 'Bacolod', 'Male', 00006),
	(5, 'Pedrorico', 'Bacolod', 'Male', 00004),
	(6, 'Buldog', 'Bacolod', 'Male', 00004),
	(7, 'Pedrai Maria', 'Enclaro', 'Female', 00002),
	(8, 'Pedring', 'Peduko', 'Female', 00005),
	(9, 'San Jose', 'Maragtas', 'Male', 00006),
	(10, 'Ruben', 'Ilog', 'Male', 00006);
/*!40000 ALTER TABLE `student` ENABLE KEYS */;

-- Dumping structure for table enrolmentdb.subject
CREATE TABLE IF NOT EXISTS `subject` (
  `subjID` int(11) NOT NULL AUTO_INCREMENT,
  `subjCode` varchar(50) NOT NULL,
  `subjDesc` varchar(50) NOT NULL,
  `units` int(11) NOT NULL,
  PRIMARY KEY (`subjID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

-- Dumping data for table enrolmentdb.subject: ~2 rows (approximately)
/*!40000 ALTER TABLE `subject` DISABLE KEYS */;
INSERT INTO `subject` (`subjID`, `subjCode`, `subjDesc`, `units`) VALUES
	(2, 'Eng 1', 'Speech', 3),
	(3, 'Fil 5', 'Pagbabasa', 3);
/*!40000 ALTER TABLE `subject` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
